Package org.apache.sling.query.impl.resource

## Class ResourcePredicate

- java.lang.Object
- - org.apache.sling.query.impl.resource.ResourcePredicate

All Implemented Interfaces:
  `Predicate<org.apache.sling.api.resource.Resource>`

    public class ResourcePredicate
    extends Object
    implements Predicate<org.apache.sling.api.resource.Resource>

### Constructor Summary

Constructors
`ResourcePredicate​(String resourceType, String resourceName, List<Attribute> attributes, JcrTypeResolver typeResolver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test​(org.apache.sling.api.resource.Resource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

### Constructor Detail

#### ResourcePredicate

    public ResourcePredicate​(String resourceType,
                             String resourceName,
                             List<Attribute> attributes,
                             JcrTypeResolver typeResolver)

### Method Detail

#### test

    public boolean test​(org.apache.sling.api.resource.Resource resource)

Specified by:
  `test` in interface `Predicate<org.apache.sling.api.resource.Resource>`